#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 12:15:26 2021

@author: tanu
"""
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# FIXME 
# RE RUN when B07 completes!!!! as norm gets affected!
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

#%% load packages
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/dynamut')
from format_results_dynamut import *
from format_results_dynamut2 import *
########################################################################
# variables
# TODO: add cmd line args

gene = 'gid'
drug = 'streptomycin'
datadir = homedir + '/git/Data'
indir = datadir + '/' + drug + '/input'
outdir = datadir + '/' + drug + '/output'
outdir_dynamut = outdir + '/dynamut_results/'
outdir_dynamut2 = outdir + '/dynamut_results/dynamut2/'

# Input file
infile_dynamut =  outdir_dynamut + gene + '_dynamut_all_output_clean.csv'
infile_dynamut2 =  outdir_dynamut2 + gene + '_dynamut2_output_combined_clean.csv'

# Formatted output filename
outfile_dynamut_f = outdir_dynamut2 + gene + '_complex_dynamut_norm.csv'
outfile_dynamut2_f = outdir_dynamut2 + gene + '_complex_dynamut2_norm.csv'

#===============================
# CALL: format_results_dynamut
# DYNAMUT results
# #===============================
# print('Formatting results for:', infile_dynamut)
# dynamut_df_f = format_dynamut_output(infile_dynamut) 
# # writing file
# print('Writing formatted dynamut df to csv')
# dynamut_df_f.to_csv(outfile_dynamut_f, index = False)

# print('Finished writing file:'
#        , '\nFile:', outfile_dynamut_f
#        , '\nExpected no. of rows:', len(dynamut_df_f)
#        , '\nExpected no. of cols:', len(dynamut_df_f.columns)
#        , '\n=============================================================')

#===============================
# CALL: format_results_dynamut2
# DYNAMUT2 results
#===============================
print('Formatting results for:', infile_dynamut2)
dynamut2_df_f = format_dynamut2_output(infile_dynamut2) # dynamut2

# writing file
print('Writing formatted dynamut2 df to csv')
dynamut2_df_f.to_csv(outfile_dynamut2_f, index = False)

print('Finished writing file:'
       , '\nFile:', outfile_dynamut2_f
       , '\nExpected no. of rows:', len(dynamut2_df_f)
       , '\nExpected no. of cols:', len(dynamut2_df_f.columns)
       , '\n=============================================================')

#%%#####################################################################